import createAxios from '@/utils/request'
//获取未建档非线性用户录入及查询数据
export function getUndocumentednonlinearData() {
    return createAxios({
        url: '/Process-supervision/Undocumentednonlinear/getUndocumentednonlinear',
        method: 'get'
    })
}
//获取系统接入方案审核数据
export function getReportreviewData() {
    return createAxios({
        url: '/Process-supervision/Reportreview/getReportreview',
        method: 'get'
    })
}

//获取干扰源用户常态化管理数据
export function getNormalizedmanagementData() {
    return createAxios({
        url: '/Process-supervision/Normalizedmanagement/getNormalizedmanagement',
        method: 'get'
    })
}
//获取实测报告审核数据
export function getMeasurementreportData() {
    return createAxios({
        url: '/Process-supervision/Measurementreport/getMeasurementreport',
        method: 'get'
    })
}
export function addLoadTypeUser(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/addLoadTypeUser',
        method: 'post',
        data
    })
}
export function getLoadTypeUserList(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/getLoadTypeUserList',
        method: 'post',
        data
    })
}
export function getPowerClientList(data: any) {
    return createAxios({
        url: '/device-boot/pms/powerClient/getPowerClientList',
        method: 'post',
        data
    })
}
export function getPowerGenerationUserList(data: any) {
    return createAxios({
        url: '/device-boot/pms/powerGenerationUser/getPowerGenerationUserList',
        method: 'post',
        data
    })
}
export function linkUser(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/linkUser',
        method: 'post',

        data
    })
}
export function uploadLoadTypeUserI(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/uploadLoadTypeUserI',
        method: 'post',
        headers: { 'Content-Type': 'multipart/form-data' },
        data
    })
}
export function getLoadTypeUserById(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/getLoadTypeUserById',
        method: 'get',
        params: data
    })
}
export function exportLoadTypeUserList(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/exportLoadTypeUserList',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
export function exportLoadTypeRelationList(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/exportLoadTypeRelationList',
        method: 'post',
        data,
        responseType: 'blob'
    })
}
export function getLoadTypeRelationList(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/getLoadTypeRelationList',
        method: 'post',
        data
    })
}
export function uploadLoadTypeUserA(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/uploadLoadTypeUserA',
        method: 'post',
        headers: { 'Content-Type': 'multipart/form-data' },
        data
    })
}
export function checkLoadTypeUserI(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/checkLoadTypeUserI',
        method: 'post',
        data
    })
}
export function checkLoadTypeUserA(data: any) {
    return createAxios({
        url: '/process-boot/loadTypeUserManage/checkLoadTypeUserA',
        method: 'post',
        data
    })
}
